# Mixin: mutationMethods

## mutationMethods

Source:
  - collections/Node.js, line 132

### Methods

#### (static) insertAfter(insert) → {Collection}

Inserts a new node after the current one.

##### Parameters:

Name | Type | Description
--- | --- | ---
`insert` | Node | Array.<Node> | function |

Source:
  - collections/Node.js, line 169

##### Returns:

Type
  Collection

#### (static) insertBefore(insert) → {Collection}

Inserts a new node before the current one.

##### Parameters:

Name | Type | Description
--- | --- | ---
`insert` | Node | Array.<Node> | function |

Source:
  - collections/Node.js, line 155

##### Returns:

Type
  Collection

#### (static) replaceWith(nodes) → {Collection}

Simply replaces the selected nodes with the provided node. If a function is provided it is executed for every node and the node is replaced with the functions return value.

##### Parameters:

Name | Type | Description
--- | --- | ---
`nodes` | Node | Array.<Node> | function |

Source:
  - collections/Node.js, line 141

##### Returns:

Type
  Collection